/*
 * File : dlDiscPending.h
 * 
 * Description : This file contains the class declaration for 
 * dlDiscPending
 */

#ifndef _dlDiscPending_h_
#define _dlDiscPending_h_


#include "dlStateMachine.h"

/*
 * Class : dlDiscPending
 * 
 * Description : This class inherits from dlStateMachine and
 * provides the functionality to implement the dlDiscPending
 * state in the data-link layer.
 * It redefines methods to handle SABMs, DISCs, UAs, DMs and
 * the T1 timer.
 */

class dlDiscPending : public dlStateMachine {

 public:
	dlDiscPending(dllayer *dl);
	virtual ~dlDiscPending() {}
	virtual dlStateMachine *HandleSabm(int &errorCode); 
	virtual dlStateMachine *HandleDisc(int &errorCode); 
	virtual dlStateMachine *HandleUa(int &errorCode); 
	virtual dlStateMachine *HandleDm(int &errorCode); 
	virtual dlStateMachine *HandleT1Timer(int &errorCode);

	virtual void PrintState(); 
};

#endif
