/*
 * File : inputHandler.C
 *
 * Description : This file provides the method definitions for
 * the inputHandler class.
 */

#include "trace.h"
#include "inputHandler.h"

DEFINE_TRACE_MODULE(inputHandlerModule,"inputHandlerModule");

/*
 * Function : SetEvent
 *
 * Description : Sets the fd_set record with the file
 * descriptor for this input handler.
 */

void 
inputHandler::SetEvent(fd_set *readfds,
			fd_set *, fd_set *,
			struct timeval *)
{
	FD_SET(_fd,readfds);
}

/*
 * Function : CheckEvent
 *
 * Description : Checks to see if input is ready on the
 * 	the file descriptor. If it is, the method calls
 *	EventCallback().
 */

void 
inputHandler::CheckEvent(fd_set *readfds, fd_set *, fd_set *,
			struct timeval *)
{
	if ( FD_ISSET(_fd,readfds) ) {
		TRACE(inputHandlerModule,1,("FD %d set\n",_fd));
		 EventCallback();
	}
}
